{% extends "layout.html" %}
{% block title %}{{ title }}{% endblock %}
{% block content %}
    <div class="container text-center" xmlns="http://www.w3.org/1999/html">
		<h1>{{ _('Help') }} - MIT42 DownloadLink</h1>
    		<p>{{ _('How to use this pice of Software.') }}</p>
            <h2>Upload files</h2>
    </div>
    <div class="container text-left">

		<p>{{ _('You can upload files to share. After uploading you files you can gernerate one or more IDs for each file') }}</p>

		<p>{{ _('Click th "Upload" button, then you can enter the following parameters:') }}</p>
        <br/>

		<p class="text-left text-danger">{{ _('Filename to Download') }}:</p>
        <p>{{ _('Here you can enter a different filename for downloading, so you can hide the original filename') }}.</p>
        <p>{{ _('If empty, Uplaodfilename will be uses') }}.</p>
        <br/>
        <p class="text-left text-danger">{{ _('Notice') }}</p>
        <p>{{ _('Enter a notice for this upload') }}</p>
        <br/>
        <p class="text-left text-danger">{{ _('Lifetime (in days)') }}</p>
        <p>{{ _('How long should the Upladed file be available on the filesystem') }}?</p>
        <p>{{ _('After the entered time it will be deleted, if you manually cleanup') }}</p>
        </div>
    <div class="container text-center">
        <h2>generate Unique IDs</h2>
    <br/>
    </div>
    <div class="container text-left">
        <p class="text-left text-danger">{{ _('Enter maximal count of Downloads:') }}</p>
        <p>{{ _('Enter the maximum of download counts which schoud be used for each Unique ID') }}</p>
    <br/>
        <p class="text-left text-danger">{{ _('How many Downloadkeys should be generated (1-40)') }}?</p>
        <p>{{ _('You can generate a maximum of 40 Unique IDs per generation') }}</p>
    <br/>
        <p class="text-left text-danger">{{ _('How long should the Download be valid (in days)') }}?</p>
        <p>{{ _('This is the lifetime of the gernerated Unique IDs. After ist time periode you are unable to use the Unique ID anymore') }}.</p>
        <p>{{ _('You must gerneate new Unique IDs after this time') }}.</p>
        <p>{{ _('This value is only fpr the Unique ID not for the Uploaded files') }}.</p>
		<a href="{{ url_for('file.management') }}">{{ _('Back') }}</a>
	</div>
{% endblock %}